/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.operation;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.impl.wsdl.WsdlRequest;

/**
 * Adds a new WsdlRequest to a WsdlOperation
 * 
 * @author Ole.Matzura
 */

public class NewRequestAction extends AbstractAction
{
   private final WsdlOperation operation;

	public NewRequestAction( WsdlOperation operation )
   {
      super( "New request" );
		this.operation = operation;
      putValue( Action.SHORT_DESCRIPTION, "Creates a new request for this operation" );
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = JOptionPane.showInputDialog( SoapUI.getInstance().getFrame(), "Specify name of request", "New request" );
      if( name == null ) return;
      
      boolean createOptional = JOptionPane.showConfirmDialog( SoapUI.getInstance().getFrame(), 
      		"Create optional elements in schema?", "Create Request", JOptionPane.YES_NO_OPTION ) == JOptionPane.YES_OPTION;
      
      WsdlRequest newRequest = operation.addNewRequest( name );
      newRequest.setRequest( operation.createRequest( createOptional ) );
      
      SoapUI.getInstance().selectModelItem( newRequest );
   }

}
