/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.iface;

import com.eviware.soapui.model.ModelItem;
import com.eviware.soapui.model.project.Project;

/**
 * An Interface exposing operations
 * 
 * @author Ole.Matzura
 */

public interface Interface extends ModelItem
{
   public final static String ENDPOINTS_PROPERTY = Interface.class.getName() + "@endpoints";   
   public final static String DEFINITION_PROPERTY = Interface.class.getName() + "@definition";   
   
   public String [] getEndpoints();

   public Operation getOperationAt(int index);

   public int getOperationCount();

   public Project getProject();
   
   public String getDefinition();
   
   public void addInterfaceListener( InterfaceListener listener );
   
   public void removeInterfaceListener( InterfaceListener listener );
   
   public RequestBuilder getRequestBuilder();
}
