/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.testsuite;

import com.eviware.soapui.model.ModelItem;

/**
 * A TestCase holding a number of TestSteps
 * 
 * @author Ole.Matzura
 */

public interface TestCase extends ModelItem
{
   public final static String STATUS_PROPERTY = TestCase.class.getName() + "@status";
   
   public TestSuite getTestSuite();
   
   public String getMessage();
   
   public TestStatus getStatus();
   
   public TestStep getTestStepAt( int index );
   
   public int getTestStepCount();
   
   enum TestStatus { UNKNOWN, OK, FAILED }

   public TestRunner run();
   
   public void addTestRunListener( TestRunListener listener );
   
   public void removeTestRunListener( TestRunListener listener );
}
