/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  SoapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  SoapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.support;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.apache.log4j.AppenderSkeleton;
import org.apache.log4j.spi.LoggingEvent;

import com.eviware.soapui.SoapUI;

/**
 * Log4j appender thats appends to SoapUI log panel
 * 
 * @author Ole.Matzura
 */

public class SoapUIAppender extends AppenderSkeleton
{
   private SimpleDateFormat sdf;

   public SoapUIAppender()
   {
      sdf = new SimpleDateFormat("HH:mm:ss");
   }
   
   protected void append(LoggingEvent event)
   {
      SoapUI instance = SoapUI.getInstance();
      if( instance != null ) instance.log( createEventMessage( event ) );
   }

   private String createEventMessage(LoggingEvent event)
   {  
     return sdf.format( new Date(event.timeStamp)) + " : " + event.getLevel().toString() + " : " + event.getMessage();
   }

   public void close()
   {
   }

   public boolean requiresLayout()
   {
      return false;
   }

}
